MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030349Community[OCCT] OCCT:Codingpublic2018-11-07 15:302019-01-12 14:43
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030349: Coding - add usage of Standard_EXPORT for some not inline methods in Select3D
DescriptionIt is not possible to inherit/call methods of the following classes outside the class libraries:
Select3D_SensitiveCircle,
Select3D_SensitiveGroup,
Select3D_SensitivePoly,
Select3D_SensitiveTriangulation.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0080849)
git (administrator)
2018-11-07 16:57

Branch CR30349 has been created by nds.

SHA-1: 70f154843b70823a5f94f127d2467c71fdddea8e


Detailed log of new commits:

Author: nds
Date: Wed Nov 7 16:55:36 2018 +0300

    0030349: Coding - add usage of Standard_EXPORT for some not inline methods in Select3D, ViewerTest
(0080903)
git (administrator)
2018-11-07 18:32

Branch CR30349_1 has been created by nds.

SHA-1: 95cf3cd996a9ba5970b3e107d06332fa43e4480b


Detailed log of new commits:

Author: nds
Date: Wed Nov 7 18:30:21 2018 +0300

    0030349: Coding - add usage of Standard_EXPORT for some not inline methods in Select3D
(0081734)
git (administrator)
2019-01-10 20:54

Branch CR30349_2 has been created by kgv.

SHA-1: 6f3c4f05f02d27842ab543b84de32b90d0dc0a7b


Detailed log of new commits:

Author: nds
Date: Wed Nov 7 18:30:21 2018 +0300

    0030349: Coding - add usage of Standard_EXPORT for some not inline methods in Select3D
(0081736)
kgv (developer)
2019-01-10 21:29

Please raise the trivial patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30349_2-master-KGV/ [^]
(0081747)
bugmaster (administrator)
2019-01-11 10:36

Combination -
OCCT branch : CR30349_2 SHA - 6f3c4f05f02d27842ab543b84de32b90d0dc0a7b
Products branch : master SHA - 0b9df64a156abd5cbfbfccb15967b46cdabfe1f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0081762)
git (administrator)
2019-01-12 14:42

Branch CR30349_2 has been deleted by inv.

SHA-1: 6f3c4f05f02d27842ab543b84de32b90d0dc0a7b
(0081771)
git (administrator)
2019-01-12 14:42

Branch CR30349_1 has been deleted by inv.

SHA-1: 95cf3cd996a9ba5970b3e107d06332fa43e4480b
(0081772)
git (administrator)
2019-01-12 14:43

Branch CR30349 has been deleted by inv.

SHA-1: 70f154843b70823a5f94f127d2467c71fdddea8e

- Related Changesets
occt: master 25333d45
Timestamp: 2018-11-07 15:30:21
Author: nds
Committer: bugmaster
Details ] Diff ]
0030349: Coding - add usage of Standard_EXPORT for some not inline methods in Select3D
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-11-07 15:30 nds New Issue
2018-11-07 15:30 nds Assigned To => kgv
2018-11-07 15:33 nds Assigned To kgv => nds
2018-11-07 16:57 git Note Added: 0080849
2018-11-07 18:32 git Note Added: 0080903
2018-11-07 18:32 nds Summary Coding - add usage of Standard_EXPORT for some not inline methods in Select3D, ViewerTest => Coding - add usage of Standard_EXPORT for some not inline methods in Select3D
2018-11-07 18:32 nds Description Updated View Revisions
2019-01-10 20:54 git Note Added: 0081734
2019-01-10 21:29 kgv Note Added: 0081736
2019-01-10 21:29 kgv Assigned To nds => bugmaster
2019-01-10 21:29 kgv Severity minor => trivial
2019-01-10 21:29 kgv Product Version => 7.3.0
2019-01-10 21:29 kgv Status new => resolved
2019-01-10 21:30 kgv Status resolved => reviewed
2019-01-11 10:36 bugmaster Note Added: 0081747
2019-01-11 10:36 bugmaster Status reviewed => tested
2019-01-11 10:37 bugmaster Test case number => Not needed
2019-01-12 14:34 bugmaster Changeset attached => occt master 25333d45
2019-01-12 14:34 bugmaster Status tested => verified
2019-01-12 14:34 bugmaster Resolution open => fixed
2019-01-12 14:42 git Note Added: 0081762
2019-01-12 14:42 git Note Added: 0081771
2019-01-12 14:43 git Note Added: 0081772


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker